package com.steerinfo.ems.trmworkprocmaterialvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.HashMap;

public class TRmWorkprocMaterialValue implements IBasePO<HashMap<String, Object>> {
    /**
     * 时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="时间",required=false)
    private String clock;

    /**
     * 粒度代码(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="粒度代码",required=false)
    private String timegranid;

    /**
     * 关联ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="关联ID",required=false)
    private String itemid;

    /**
     * 累计值(SUMVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计值",required=true)
    private BigDecimal sumvalue;

    /**
     * 是否锁定(ISLOCK,VARCHAR,1)
     */
    @ApiModelProperty(value="是否锁定",required=true)
    private String islock;

    /**
     * 锁定报表ID(LOCKID,VARCHAR,64)
     */
    @ApiModelProperty(value="锁定报表ID",required=true)
    private String lockid;

    /**
     * 计算值(ACTUALVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="计算值",required=true)
    private BigDecimal actualvalue;

    /**
     * 修正值(CORRECTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="修正值",required=true)
    private BigDecimal correctvalue;

    /**
     * 最终值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="最终值",required=true)
    private BigDecimal apportvalue;

    /**
     * 单耗值(UCVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="单耗值",required=true)
    private BigDecimal ucvalue;

    /**
     * 单耗累计值(SUMUCVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="单耗累计值",required=true)
    private BigDecimal sumucvalue;

    /**
     * 备注(BZ,VARCHAR,400)
     */
    @ApiModelProperty(value="备注",required=true)
    private String bz;

    private static final long serialVersionUID = 1L;

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public BigDecimal getSumvalue() {
        return sumvalue;
    }

    public void setSumvalue(BigDecimal sumvalue) {
        this.sumvalue = sumvalue;
    }

    public String getIslock() {
        return islock;
    }

    public void setIslock(String islock) {
        this.islock = islock == null ? null : islock.trim();
    }

    public String getLockid() {
        return lockid;
    }

    public void setLockid(String lockid) {
        this.lockid = lockid == null ? null : lockid.trim();
    }

    public BigDecimal getActualvalue() {
        return actualvalue;
    }

    public void setActualvalue(BigDecimal actualvalue) {
        this.actualvalue = actualvalue;
    }

    public BigDecimal getCorrectvalue() {
        return correctvalue;
    }

    public void setCorrectvalue(BigDecimal correctvalue) {
        this.correctvalue = correctvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public BigDecimal getUcvalue() {
        return ucvalue;
    }

    public void setUcvalue(BigDecimal ucvalue) {
        this.ucvalue = ucvalue;
    }

    public BigDecimal getSumucvalue() {
        return sumucvalue;
    }

    public void setSumucvalue(BigDecimal sumucvalue) {
        this.sumucvalue = sumucvalue;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", itemid=").append(itemid);
        sb.append(", sumvalue=").append(sumvalue);
        sb.append(", islock=").append(islock);
        sb.append(", lockid=").append(lockid);
        sb.append(", actualvalue=").append(actualvalue);
        sb.append(", correctvalue=").append(correctvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", ucvalue=").append(ucvalue);
        sb.append(", sumucvalue=").append(sumucvalue);
        sb.append(", bz=").append(bz);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

    @Override
	public HashMap<String, Object> getId() {
		HashMap<String, Object> m = new HashMap<String, Object>();
		m.put("clock", clock);
		m.put("timegranid", timegranid);
		m.put("itemid", itemid);
		return m;
	}

	@Override
	public void setId(HashMap<String, Object> id) {
		this.clock = id.get("clock") == null ? "" : id.get("clock").toString().trim();
		this.timegranid = id.get("timegranid") == null ? "" : id.get("timegranid").toString().trim();
		this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
	}
}